
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>自定义状态栏notification布局 / iVAN</title>

    <meta name="description" content="自定义状态栏notification布局 布局定义custom_notification.xml &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt;   &lt;RelativeLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot;       android:layout_width=&quot;match_parent&quot;       android:l ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">自定义状态栏notification布局</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>布局定义custom_notification.xml</p>
<pre>&lt;?xml version="1.0" encoding="utf-8"?&gt;  
&lt;RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"  
    android:layout_width="match_parent"  
    android:layout_height="match_parent" &gt;  
      
    &lt;ImageView   
        android:id="@+id/image"  
        android:layout_width="wrap_content"  
        android:layout_height="fill_parent"  
        android:layout_alignParentLeft="true"  
        android:layout_marginRight="10dp"  
        android:contentDescription="@string/Image" /&gt;  
      
    &lt;TextView   
        android:id="@+id/title"  
        android:layout_width="wrap_content"  
        android:layout_height="wrap_content"  
        android:layout_toRightOf="@id/image"  
        style="@style/NotificationTitle" /&gt;  
      
    &lt;TextView   
        android:id="@+id/text"  
        android:layout_width="wrap_content"  
        android:layout_height="wrap_content"  
        android:layout_toRightOf="@id/image"  
        android:layout_below="@id/title"  
        style="@style/NotificationText" /&gt;  
      
&lt;/RelativeLayout&gt;</pre>
<p>布居中引用的样式文件styles.xml</p>
<pre>&lt;?xml version="1.0" encoding="utf-8"?&gt;  
&lt;resources&gt;  
&lt;style name="NotificationText" parent="android:TextAppearance.StatusBar.EventContent" /&gt;  
&lt;style name="NotificationTitle" parent="android:TextAppearance.StatusBar.EventContent.Title" /&gt;  
&lt;/resources&gt;</pre>
<p>代码</p>
<pre>package cn.itcast.tabhost;

import android.app.Activity;
import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Intent;
import android.graphics.Color;
import android.widget.RemoteViews;

public  class FirstActivity extends Activity  {
    
    //默认点击返回键(back)会finish当前activity
    //activity栈中的所有activity都弹出后会退出当前应用
    @Override
    public void onBackPressed() {
        
        /*
         * 按照一般的逻辑，当Activity栈中有且只有一个Activity时，当按下Back键此
         * 那么下次点击此应用程序图标将从重新启动，当前不少应用程序都是采取如Home键的效果，
         * 当点击了Back键，系统返回到桌面，然后点击应用程序图标
         * 直接回到之前的Activity界面，这种效果是怎么实现的呢？通过重写按下Back键的回调函数，转成Home键的效果即可。
         */
        // 改为使用intent启动HOME桌面
        Intent home = new Intent(Intent.ACTION_MAIN);
        home.addCategory(Intent.CATEGORY_HOME);
        startActivity(home);

        // 或者，为达到此类效果，Activity实际上提供了直接的方法。
        // 将当前Activity所在的Task移到后台,同时保留activity顺序和状态。
        moveTaskToBack(true);// true表示不管是不是根都有效
    }
    
    
        /**
         * 当此Activity处于后台工作时， 在状态栏显示通知
         */
        @Override
        protected void onStop() {
            showNotification();
            super.onStop();
        }
    
    //当程序再次进入运行界面时，Activity处于onResume状态，在onResume方法中去掉状态栏的程序运行信息即可
    
        /**
         * 此Activity启动后关闭状态栏的通知
         */
        @Override
        protected void onResume() {
            // 启动后删除之前我们定义的通知
            NotificationManager notificationManager = (NotificationManager) this
                    .getSystemService(NOTIFICATION_SERVICE);
            notificationManager.cancel(CUSTOM_VIEW_ID);
            super.onResume();
        }
        
        private static final int CUSTOM_VIEW_ID = 1; 
      //在状态栏显示程序通知
        private void showNotification() {
            // 创建一个NotificationManager的引用
            NotificationManager notificationManager = (NotificationManager) this
                    .getSystemService(android.content.Context.NOTIFICATION_SERVICE);
    
            // 定义Notification的各种属性
            Notification notification = new Notification(R.drawable.bg_normal,
                    "superGao", System.currentTimeMillis());
            
            
            
            RemoteViews contentView = new RemoteViews(getPackageName(), R.layout.custom_notification); 
            contentView.setImageViewResource(R.id.image, R.drawable.i1);  
            contentView.setTextViewText(R.id.title, "自定义布局通知标题");  
            contentView.setTextViewText(R.id.text, "自定义布局通知内容"); 
            //给view设置点击事件
       /*     contentView.setOnClickPendingIntent(viewId, pendingIntent);
            */
            
            notification.contentView = contentView; 
            
            notification.flags |= Notification.FLAG_ONGOING_EVENT; // 将此通知放到通知栏的"Ongoing"即"正在运行"组中
            notification.flags |= Notification.FLAG_NO_CLEAR; // 表明在点击了通知栏中的"清除通知"后，此通知不清除，经常与FLAG_ONGOING_EVENT一起使用
            notification.flags |= Notification.FLAG_SHOW_LIGHTS;//使用LED灯
            notification.defaults = Notification.DEFAULT_LIGHTS;
            notification.ledARGB = Color.BLUE;//LED灯颜色
            notification.ledOnMS = 5000;//led灯持续时间
    
            // 设置通知的事件消息
            /*
             * CharSequence contentTitle = "superGao"; // 通知栏标题
                CharSequence contentText = "love"; // 通知栏内容
            */
            Intent notificationIntent = new Intent(this, FirstActivity.class); // 点击该通知后要跳转的Activity
            PendingIntent contentItent = PendingIntent.getActivity(this, 0,
                    notificationIntent, 0);
            notification.contentIntent=contentItent;
            
           /* notification.setLatestEventInfo(this, contentTitle, contentText,
                    contentItent);*/
    
            // 把Notification传递给NotificationManager
            notificationManager.notify(CUSTOM_VIEW_ID , notification);
    
        }
    
}</pre>
<p>本文出自 “<a href="http://tianxingzhe.blog.51cto.com" rel="external nofollow noreferrer">点滴积累</a>” 博客，请务必保留此出处<a href="http://tianxingzhe.blog.51cto.com/3390077/1783056" rel="external nofollow noreferrer">http://tianxingzhe.blog.51cto.com/3390077/1783056</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 05:20:49</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>自定义状态栏notification布局的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBekrM.html" rel="bookmark">Android自定义状态栏通知（Status Notification）的正确实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Android应用开发中,经常会使用到状态栏通知(Status Notification),例如新浪微博.网易新闻等提供的推送消息,软件后台更新时进度的显示等等,如下图所示: 看了网上很多关于Notification的博客文章,发现几乎没有一个能将自定义状态栏通知完全实现正确的,因此,本文就来说说实现自定义状态栏通知经常被忽略的一些知识点. 1) 使用Notification最常见的场景 运行在后台的Service当需要和用户交互时,由于它不能直接启动一个Activity,因此,Service			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7najz.html" rel="bookmark">android自定义状态栏颜色</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道IOS上的应用,状态栏的颜色总能与应用标题栏颜色保持一致,用户体验很不错,那安卓是否可以呢?若是在安卓4.4之前,答案是否定的,但在4.4之后,谷歌允许开发者自定义状态栏背景颜色啦,这是个不错的体验!若你手机上安装有最新版的qq,并且你的安卓SDK版本是4.4及以上,你可以看下它的效果: 实现此功能有两种方法: 1.在xml中设置主题或自定义style: [html] view plaincopy Theme.Holo.Light.NoActionBar.TranslucentDecor			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZw5gwb.html" rel="bookmark">Android自定义状态栏颜色与APP风格保持一致的实现方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道iOS上的应用,状态栏的颜色总能与应用标题栏颜色保持一致,用户体验很不错,那安卓是否可以呢?若是在安卓4.4之前,答案是否定的,但在4.4之后,谷歌允许开发者自定义状态栏背景颜色啦,这是个不错的体验!若你手机上安装有最新版的qq,并且你的安卓SDK版本是4.4及以上,你可以看下它的效果: 实现此功能有两种方法: 1.在xml中设置主题或自定义style: Theme.Holo.Light.NoActionBar.TranslucentDecor Theme.Holo.NoActionBa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3VBRgz.html" rel="bookmark">Android自定义状态栏颜色与应用标题栏颜色一致&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				每次看IOS上的应用,应用中状态栏的颜色总能与应用标题栏颜色保持一致,用户体验很不错,对于这种效果,像我这种好奇心强的人就会去看看那安卓是否可以呢?若是在安卓4.4之前,答案是否定的,但在4.4之后,谷歌允许开发者自定义状态栏背景颜色啦,这是个不错的体验!若你手机上安装有最新版的qq,并且你的安卓SDK版本是4.4及以上,你可以看下它的效果: 实现此功能有两种方法: 1.在xml中设置主题或自定义style: Theme.Holo.Light.NoActionBar.TranslucentDec			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b26X3rb.html" rel="bookmark">Android 自定义状态栏实例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.目标:Android5.0以上 二.步骤 1.在res-values-colors.xml下新建一个RGB颜色 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;resources&gt; &lt;color name=&quot;colorPrimary&quot;&gt;#3F51B5&lt;/color&gt; &lt;color name=&quot;colorPrimaryDark&quot;&gt;#3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0652Jz.html" rel="bookmark">Android自定义状态栏颜色与APP风格保持一致的实现方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道iOS上的应用,状态栏的颜色总能与应用标题栏颜色保持一致,用户体验很不错,那安卓是否可以呢?若是在安卓4.4之前,答案是否定的,但在4.4之后,谷歌允许开发者自定义状态栏背景颜色啦,这是个不错的体验!若你手机上安装有最新版的qq,并且你的安卓SDK版本是4.4及以上,你可以看下它的效果: 实现此功能有两种方法: 1.在xml中设置主题或自定义style: Theme.Holo.Light.NoActionBar.TranslucentDecor Theme.Holo.NoActionBa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bodGBM.html" rel="bookmark">组合-android自定义view怎样指定自定义view的布局</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android自定义view怎样指定自定义view的布局 我有现成的布局xml文件,现在想定义一个组合的自定义view,怎样把这个view的布局指定为一个xml文件 解决方案 LayoutInflater.from(mActivity).inflate(R.layout.mainscreen_title, this, true);这样就行了,this是当前的View,而后面这两个参数是将R.layout.mainscreen_title attachToRoot 也就是以当前这个Vie			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMln7az.html" rel="bookmark">使用有趣的自定义标记来布局页面</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				页面 今天我们来学习,如何使用有趣的自定义标记来布局页面.有的朋友可能有这样的疑问,自己随便定义的标记浏览器怎么能正确的认识呢? 这里我们就要用到文档的命名空间,那么命名空间又是指什么? 大家知道XML有一个很大的特点就是他的可扩展性.你可以创建你自己的标记或使用别人创建的标记,这里就存在了一个问题,即你所定义的标 记和别人定义的标识有可能相同,但他们各自所表示的意义却不同. 打一个形象的比喻,比如有两个人名字都叫蓝色,一个人在经典,一个人在天涯,如果你要找他们就可以这样说明,天涯:蓝色.经典:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV7XwKb.html" rel="bookmark">iOS 自定义状态栏和导航栏详细介绍&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				iOS 自定义状态栏和导航栏            开发IOS APP 经常会根据需求更改状态栏和导航栏,这里整理了几种方法,大家可以看下. 导航栏透明 -(void)viewWillAppear:(BOOL)animated { //viewWillAppear中设置透明 [super viewWillAppear:animated]; [self.navigationBar setBackgroundImage:[UIImage new] forBarMetrics:UIBarMetrics			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apX6lb5.html" rel="bookmark" class="title">如何设置常用组策略</a>
					<div>
						  故障现象: 组策略应用设置大全 一.桌面项目设置 1. 隐藏不必要的桌面图标 2. 禁止对桌面的改动 3. 启用或禁止活动桌面 4. 给&quot;开始&quot;菜单减肥 5. 保护好&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxP8RM.html" rel="bookmark" class="title">在ORalce 中&comma;怎么判断两个时间段之间是否有交集&comma; 编写的一个函数&period;</a>
					<div>
						函数 判断2个时间段是否有交集的函数,开始是在我计算考勤的时候有用过,后来发现用到的地方越来越多,  丢个砖头 9i 下通过. 两个时间段 之间是否有交集  intime---outtimefromd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boRdgz.html" rel="bookmark" class="title">android 如何用代码动态添加launcher？</a>
					<div>
						问题描述 android 如何用代码动态添加launcher? 同一个项目包含手机和盒子版两个版本的代码,手机版不需要添加按Home键 出launcher,而盒子版需要按home键时,将应用显示在la ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQnJwM.html" rel="bookmark" class="title">Photoshop应用 DM广告设计的制作</a>
					<div>
						广告|广告设计  DM是英文Direct Mail(直投广告)的缩写,通常由8开或16开广告纸正反面彩色印刷而成,采取邮寄.定点派发.选择性派送给消费者等多种方式广为宣传,今天我们将使用Photosh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv4W8z.html" rel="bookmark" class="title">PHP求最大子序列和的算法实现</a>
					<div>
						复制代码 代码如下: &lt;?php //作者:遥远的期待 //QQ:15624575 //算法分析:1.必须是整数序列.2.如果整个序列不全是负数,最大子序列的第一项必须是正数,否则最大子序列后面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze5XOz.html" rel="bookmark" class="title">控制弹出窗口---用file access组件技巧实例</a>
					<div>
						access|弹出窗口|技巧|控制 跟我学会用后台程序控制弹出窗口---用file access组件修改文件实例我们经常需要在首页上做一个弹出窗口(其实我很讨厌这个东东),一般的办法是在&lt;bod ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ7AGp.html" rel="bookmark" class="title">VMware View 5&period;0菜鸟教程（一） 环境准备</a>
					<div>
						整个实验环境所需要的虚拟机机器列表,包括机器名称.IP和所安装所需软件如下表: 服务器角色 操作系统 机器名 IP地址 所需安装介质 Connection Server Windows Server  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRkmap.html" rel="bookmark" class="title">Windows 8开发入门（二十二） Windows 8 的SemanticZoom缩放视图</a>
					<div>
						在Windows 8中SemanticZoom缩放视图支持对GridView和ListView控件的视图效果进行缩放,它提供一个详 细信息视图(ZoomedInView)以让用户查看详细信息,另外提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGj1y6p.html" rel="bookmark" class="title">在SQL Server计算机上运行病毒扫描软件</a>
					<div>
						如果我需要在运行有SQL Server的机器上运行病毒扫描软件,怎样做才不会影响性能? 这取决于您希望运行的病毒扫描软件的类型.目前有三种类型的病毒扫描软件--主动病毒扫描.病毒清除及漏洞扫描. 主动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ykYvz.html" rel="bookmark" class="title">如何在Asp&period;net中使用HtmlArea编辑器</a>
					<div>
						HtmlArea是一款很简洁的WTYSWTYG编辑器,以前我用的是FreeTextBox,缺点 很多,运行速度慢,架构太复杂,不支持ajax等等,前面还特地写了一篇文章&lt; Ajax中的Updat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL1xeb.html" rel="bookmark" class="title">如何使用搜狗输入法拆分输入不认识的字</a>
					<div>
						  方法/步骤 1.右键点击输入法状态条,然后在弹出菜单中选择&quot;设置属性&quot;菜单 2.打开搜狗拼音输入法的属性窗口,然后点击左侧的&quot;高级&quot;选项 3.向下拖动右侧的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYR4Axp.html" rel="bookmark" class="title">Win7修改MAC地址方法图文教程</a>
					<div>
						  Win7修改MAC地址方法本人结合了下以前所有的经验,Win7修改MAC地址方法有以下三种: 方法一:使用Win7MAC地址修改工具 1,只适用于windows7系统的网卡MAC地址修改.XP的可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mywx6Pz.html" rel="bookmark" class="title">新手站长：别让赚钱二字禁锢了你前进的脚步</a>
					<div>
						今天为何要写这个题目,原因是很多新手站长或者想成为站长的朋友,通常最关心的问题就是:&quot;你赚了多少钱&quot;&quot;你赚钱没?&quot;&quot;你是怎么赚钱的&quot;等等,无 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwL228b.html" rel="bookmark" class="title">已知点的经纬度&comma;如何将它画在地图上（Mapxtreme for java）</a>
					<div>
						问题描述 地图服务器是mapxtremeforjave4.8.已知一点的经纬度(24.3,103.2),如何将其画在地图上?请高手解答!急啊 解决方案 解决方案二:try{//ASSUMPTIONS: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oO7Nb.html" rel="bookmark" class="title">完美的js div拖拽实例代码&lowbar;javascript技巧</a>
					<div>
						本文实例为大家分享了完美的js div拖拽实例代码,供大家参考,具体内容如下 &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transiti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrvX8M.html" rel="bookmark" class="title">工信部确定5G使用频段 产业链即将迎来变革</a>
					<div>
						近日,工信部无线电管理局发布&lt;工业和信息化部关于第五代移动通信系统使用3300-3600MHz和4800-5000MHz频段相关事宜的通知&gt;,意味着中国5G使用的频段正式确认. &lt;通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVdvBb.html" rel="bookmark" class="title">ArcGIS数据生产与精细化制图之中国年降水量分布图的制作</a>
					<div>
						原文:ArcGIS数据生产与精细化制图之中国年降水量分布图的制作 楼主按:在今年的Esri中国用户大会上,我听了几场关于ArcGIS用于制图方面的讲座,也在体验区与Esri中国的技术老师有一些交流.一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZmmJb.html" rel="bookmark" class="title">Storm入门 第二章准备开始</a>
					<div>
						本文翻译自&lt;Getting Started With Storm&gt;  译者:吴京润   编辑:方腾飞 准备开始 在本章,我们要创建一个Storm工程和我们的第一个Storm拓扑结构. NO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrl0KM.html" rel="bookmark" class="title">这些公司和马斯克一样，想把大脑和机器连接起来</a>
					<div>
						雷锋网(公众号:雷锋网)「新智造」按:特斯拉.SpaceX的创始人Elon Musk是个不折不扣的未来主义者,最近他又成立了一家医疗公司Neurallink,想要把人类脑中的信息&quot;下载&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7NkJp.html" rel="bookmark" class="title">eclipse中的cvs为什么无法查看历史记录了，并报错了。</a>
					<div>
						问题描述 eclipse中的cvs为什么无法查看历史记录了,并报错了. 问题描述:我在eclipse中点击一个项目中的一个activity的文件--&gt;右键--&gt;选择Team--&gt;sh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWx4kz.html" rel="bookmark" class="title">如何读取Excel单元格中部分文本字体颜色 &quest;</a>
					<div>
						问题描述 就是比如在Excel中某个单元格的值是:TheVALUE,其中VALUE的字体颜色是红色,不知在程序中要如何得到?望高手踢教~ 解决方案 解决方案二:自己顶解决方案三:再顶					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGErmeM.html" rel="bookmark" class="title">中国银联研究院 周雍恺：面向金融的软件定义网络安全探索</a>
					<div>
						2016年6月2日,&quot;2016全球SDNFV技术大会&quot;进入了第二天.作为连续举办三届的SDN/NFV技术与产业盛会,本届大会着眼于SDN /NFV的实践应用与部署,从SDN/NFV ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZY0JM.html" rel="bookmark" class="title">socket-负责监听端口的局部变量serverScoket在方法结束后，为什么还能继续监听端口？</a>
					<div>
						问题描述 负责监听端口的局部变量serverScoket在方法结束后,为什么还能继续监听端口? 我在winform中的按钮点击事件中新建了一个局部变量serveScoket,开启监听,在方法结束后,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RBBmz.html" rel="bookmark" class="title">【Spring】Spring框架之我见</a>
					<div>
						[导图俯瞰全篇]   一,框架介绍:           1,先看一下帮助文档的这张图,里边主要包括了Spring自身的功能,还有可以和其框架结合的一些框架,通过这张图可以看出,Spring框架和其他 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0R057z.html" rel="bookmark" class="title">博雅张伟：死磕腾讯之后变身大土豪的穷屌丝</a>
					<div>
						5年前,张伟还把腾讯作为竞争对手.彼时的张伟还是一个绝对的&quot;屌丝创业者&quot;,正面临公司战略转型的抉择:是继续坚持做了8年的视频群聊产品方向,还是彻底放弃做别的? 用现在一句网络流行语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx08rBM.html" rel="bookmark" class="title">全面剖析康奈尔大学&OpenCurlyDoubleQuote;红云&rdquo;项目</a>
					<div>
						近日,康奈尔大学高级计算中心发布了&quot;红云&quot;,一个基于订阅的按需研究计算服务.该项目致力于让更多的研究人员和学生使用康奈尔大学的HPC计算资源,进行科学研究与发现,从而促进科研成果的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0n5G0z.html" rel="bookmark" class="title">迅雷变身为在线视频门户</a>
					<div>
						本报记者胡文报道 昨天,堪称互联网&quot;下载之王&quot;的迅雷公司在深宣布,原迅雷在线和迅雷看看整合合并后正式启用www.xunlei.com新域名,这标志着迅雷由资源聚合门户变身转型为在线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QZrRp.html" rel="bookmark" class="title">如何提升网站IP流量</a>
					<div>
						一年前小说站网站来一万ip还是挺容易的,当时的百度收录真够牛,我只要是靠百度大量收录取胜(那时候还不懂seo,做小说站的可以交流一下QQ375783048).后来百度加强了对垃圾站的打击力度,小说类的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBk0GNM.html" rel="bookmark" class="title">PHP文件读写操作之文件写入代码&lowbar;php技巧</a>
					<div>
						在PHP网站开发中,存储数据通常有两种方式,一种以文本文件方式存储,比如txt文件,一种是以数据库方式存储,比如Mysql,相对于数据库存储,文件存储并没有什么优势,但是文件读写操作在基本的PHP开发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEnvEz.html" rel="bookmark" class="title">devexpress TreeList 获取当前节点父节点的值</a>
					<div>
						问题描述 创建了一个TreeList控件对象,当我获取到当前点击的节点的值,我获取这个节点的父节点,为什么老是获取不了.this.treeList.FoucedColumn.Paretent,,这个指 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
